# Retrieve a single employee **GET /employers/{employer_id}/employees/{employee_id}** Retrieve a single employee (worker) record. Read-only. Returns the same `Employee` schema as the paginated list endpoint, including `member_scheme_status` and latest contribution percentages. ## Servers - https://payroll-api.getpenfold.dev/v4: https://payroll-api.getpenfold.dev/v4 () ## Authentication methods - O auth2 client credentials ## Parameters ### Path parameters - **employer_id** (string) - **employee_id** (string) ## Responses ### 200 Employee retrieved successfully. #### Body: application/json (object) - **id** (string) Unique identifier for the employee. - **upload_id** (string) ID of the file upload from which the employee was created (if applicable). - **employer_id** (string) Identifier for the employer associated with the employee. - **email** (string(email)) Email address of the employee. - **created_at** (string(date-time)) The date and time the employee record was created, in ISO 8601 format. - **updated_at** (string(date-time)) The date and time the employee record was last updated, in ISO 8601 format. - **forename** (string) The employee's first name. - **surname** (string) The employee's last name. - **title** (string) The employee's title, e.g., Mr., Mrs., Dr., etc. - **date_of_birth** (string(date)) The employee's date of birth, in YYYY-MM-DD format. - **address_line1** (string) The first line of the employee's address. - **postcode** (string) The postal code of the employee's address. - **national_insurance_number** (string) The employee's National Insurance number. - **employment_start_date** (string(date)) The date the employee started their employment, in YYYY-MM-DD format. - **exit_date** (string(date)) The date the employee's employment ended, in YYYY-MM-DD format (if applicable). - **opt_out_date** (string(date)) The date the employee opted out of the pension scheme, in YYYY-MM-DD format (if applicable). - **opt_in_date** (string(date)) The date the employee opted into the pension scheme, in YYYY-MM-DD format (if applicable). - **opt_out_window_start_date** (string(date)) The date the employee's opt out window begins. This is the same date as they were created and enrolled on the scheme. - **opt_out_window_end_date** (string(date)) The date the employee's opt out window ends. - **member_scheme_status** (string) Current scheme membership status for the worker's employment. - **employee_contributions_percent** (number | null) Latest elected employee contribution percentage. - **employer_contributions_percent** (number | null) Latest employer contribution percentage. ### 401 Unauthorized, the request requires authentication, and the provided credentials are either missing or incorrect. #### Body: application/json (object) - **error** (string) A descriptive error message. ### 404 Employee or employer not found, the specified employee_id or employer_id does not match any existing records. #### Body: application/json (object) - **error** (string) A descriptive error message. [Powered by Bump.sh](https://bump.sh)